%% Laufzeitmessung fr Mittelwertfunktionen
%  ...

%% Variablendeklaration:
dim_min = 1; dim_max = 5;

mymean1_time = zeros(dim_max-dim_min,1);
mymean2_time = zeros(dim_max-dim_min,1);

%% Zeitmessung:
for i = dim_min:dim_max
    
    % Testvektor
    x = rand(10^i,1);
    
    % Zeitmessung fr mymean1 (mit Schleife)
    tic;                    % hier beginnt die Zeitmessung
        mymean1(x);
    mymean1_time(i) = toc;  % hier endet sie, die gemessene Zeit wird bergeben
 
    % Zeitmessung fr mymean2 (ohne Schleife)
    tic;
        mymean2(x);
    mymean2_time(i) = toc;  
    
end

%% Darstellung der Testergebnisse:
semilogy(dim_min:dim_max,mymean1_time,'-rs','LineWidth',2,'Color','b'); % logarithmische Darstellung
% alternativ: plot(dim_min:dim_max,mymean1_time,'-rs','LineWidth',2,'Color','b');
hold on; % hlt den aktuellen Plot mit all seinen Eigenschaften fest, so dass weitere Graphen hinzugefgt werden knnen
semilogy(dim_min:dim_max,mymean2_time,'-rs','LineWidth',2,'Color','r'); % logarithmische Darstellung
% alternativ: plot(dim_min:dim_max,mymean2_time,'-rs','LineWidth',2,'Color','r');

xlabel('"Dimension" i [dim(Testvektor)=10^i]');
ylabel('Laufzeit');
legend('mymean1 (mit Schleife)','mymean2 (ohne Schleife)','Location','NorthWest');
title('Laufzeitvergleich');
hold off;
